Public Member Functions | Public Attributes | List of all members
BeagleWksTextInternal::State Struct Reference

Internal: the state of a BeagleWksText. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
MWAWEntry | m_textEntry
| the main text entry More...
std::vector< Section > | m_sectionList
| the section list More...
std::vector< int > | m_numPagesBySectionList
| the number of page by section More...
int | m_version
| the file version More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a BeagleWksText.

## Constructor & Destructor Documentation

## ◆ State()

BeagleWksTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualPage

int BeagleWksTextInternal::State::m_actualPage

## ◆ m_numPages

int BeagleWksTextInternal::State::m_numPages

## ◆ m_numPagesBySectionList

std::vector<int> BeagleWksTextInternal::State::m_numPagesBySectionList

the number of page by section

## ◆ m_sectionList

std::vector<Section> BeagleWksTextInternal::State::m_sectionList

the section list

## ◆ m_textEntry

MWAWEntry BeagleWksTextInternal::State::m_textEntry

the main text entry

## ◆ m_version

int BeagleWksTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- BeagleWksText.cxx